Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 8 Dec 2000 05:43:40 +0100 (CET)
From:      girgen@partitur.se
To:        FreeBSD-gnats-submit@freebsd.org
Subject:   ports/23371: update: postgresql to 7.0.3
Message-ID:  <200012080443.eB84heF51844@palle.girgensohn.se>
Resent-Message-ID: <200012080450.eB84o2S59734@freefall.freebsd.org>

next in thread | raw e-mail | index | archive | help

>Number:         23371
>Category:       ports
>Synopsis:       update: postgresql to 7.0.3
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    freebsd-ports
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Thu Dec 07 20:50:01 PST 2000
>Closed-Date:
>Last-Modified:
>Originator:     Palle Girgensohn
>Release:        FreeBSD 4.2-RELEASE i386
>Organization:
Partitur
>Environment:
Tested on FreeBSD 4.2-RELEASE
jdk1.1.8 and 1.2.2-b10
tcl/tk-8.3

Have not been able to test ssl, since I didn't have a certificate.
I simply trust PR 21784 on that point :-)

	

>Description:
This patch updates PostgreSQL to the latest version 7.0.3, and also
presenting dialog based choices.

It also addresses most open PR:s about the PostgreSQL port.

ports/21784: originated from Mikhail Teterin
             patch to use openssl included
             you can build tcl support without tk
             create a pkgIndex.tcl file
(I did the tcl mods in configure.in instead of the PR's configure
modifications, but it seems to be accurate)

ports/20171: fixed message

ports/23027: took over dialog based build where Rod Taylor started

These PR:s can be closed.
>How-To-Repeat:

	

>Fix:
Here's the patch. 

Please note that there are are bunch of new files to be added:
  pkg-plist.notk files/dot.profile.in files/patch-au files/patch-av
  files/patch-be files/pkgIndex.tcl.in files/pre-install-notes
  scripts/configure.postgresql

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/databases/postgresql7/Makefile,v
retrieving revision 1.66
diff -u -r1.66 Makefile
--- Makefile	2000/11/23 06:20:17	1.66
+++ Makefile	2000/12/08 04:11:53
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	postgresql
-PORTVERSION=	7.0.2
+PORTVERSION=	7.0.3
 CATEGORIES=	databases
 MASTER_SITES=	ftp://ftp.postgresql.org/pub/%SUBDIR%/ \
 		ftp://ftp.de.postgresql.org/%SUBDIR%/ \
@@ -22,60 +22,13 @@
 
 MAINTAINER=	ports@FreeBSD.org
 
+BUILD_DEPENDS=	autoconf:${PORTSDIR}/devel/autoconf
+
 Y2K=		http://www.postgresql.org/y2k.html
 
 INSTALLS_SHLIB=	YES
 LDCONFIG_DIRS=	%%PREFIX%%/pgsql/lib
-BUILD_DEPENDS=	autoconf:${PORTSDIR}/devel/autoconf
 
-.if defined(KRB5_HOME) && exists(${KRB5_HOME})
-CONFIGURE_KRB=	--with-krb5=${KRB5_HOME} \
-		--with-krb-keytab=FILE:${PREFIX}/pgsql/etc/keytab
-.endif
-
-# if you want to use the tcl/tk frontend pgaccess, then you need to build
-# postgresql with tcl support by typing: make -DWITH_TCL
-.if defined(WITH_TCL)
-TCL_INCDIR=	${LOCALBASE}/include/tcl8.3
-TK_INCDIR=	${LOCALBASE}/include/tk8.3
-MAKE_ENV=	TCL_INCDIR=${TCL_INCDIR}
-CONFIGURE_ENV=	WISH=${LOCALBASE}/bin/wish8.3
-LIB_DEPENDS=	tcl83.1:${PORTSDIR}/lang/tcl83 \
-		tk83.1:${PORTSDIR}/x11-toolkits/tk83
-CONFIGURE_TCL=	--with-tcl --with-tclconfig="${LOCALBASE}/lib/tcl8.3 ${LOCALBASE}/lib/tk8.3"
-.endif
-
-# if you want to disable the multibyte support, type:
-#   make -DWITHOUT_MULTIBYTE
-#
-# if you want to set the default encoding for the multibyte support, type:
-#   make DEFAULT_ENCODING=<encoding>
-# where <encoding> is one of these:
-#   SQL_ASCII   LATIN1      LATIN2      LATIN3      LATIN4      LATIN5
-#   EUC_JP      EUC_CN      EUC_KR      EUC_TW      KOI8
-#   UNICODE     MULE_INTERNAL           WIN         ALT
-.if defined(WITHOUT_MULTIBYTE)
-CONFIGURE_MULTIBYTE=	# none
-.elif defined(DEFAULT_ENCODING)
-CONFIGURE_MULTIBYTE=	--enable-multibyte="${DEFAULT_ENCODING}"
-.else
-CONFIGURE_MULTIBYTE=	--enable-multibyte
-.endif
-.if defined(WITH_PERL)
-CONFIGURE_PERL=		--with-perl
-.endif
-.if defined(WITH_ODBC)
-CONFIGURE_ODBC=		--with-odbc
-.endif
-
-# if you want jdbc, type make -DWITH_JDBC
-# Honors JAVA_HOME if you have it set, and don't want the dependency.
-.if defined(WITH_JDBC)
-JAVA_HOME?=	${LOCALBASE}/jdk1.1.8
-BUILD_DEPENDS=	${JAVA_HOME}/bin/javac:${PORTSDIR}/java/jdk
-SCRIPTS_ENV+=	JAVA_HOME=${JAVA_HOME}
-.endif
-
 WRKSRC=		${WRKDIR}/${DISTNAME}/src
 DOCDIR=		${WRKDIR}/${DISTNAME}/doc
 
@@ -86,11 +39,6 @@
 		--enable-locale \
 		--with-template=`uname -s | ${TR} '[A-Z]' '[a-z]'` \
 		--with-includes="${PREFIX}/include ${TCL_INCDIR} ${TK_INCDIR}" \
-		${CONFIGURE_KRB} \
-		${CONFIGURE_TCL} \
-		${CONFIGURE_MULTIBYTE} \
-		${CONFIGURE_PERL} \
-		${CONFIGURE_ODBC} \
 		--with-libraries=${PREFIX}/lib
 
 MAN1=		createdb.1 createlang.1 createuser.1 dropdb.1 droplang.1 \
@@ -117,50 +65,21 @@
 
 MANPREFIX=	${PREFIX}/pgsql
 
-pre-fetch:
-	@${ECHO_MSG} "To install and run postgresql you need to compile kernel with:"
-	@${ECHO_MSG} "    options    \"SYSVSHM, SYSVSEM, SYSVMSG\""
-.if !defined(WITH_TCL)
-	@${ECHO_MSG} "To build the \"PostgreSQL to Tcl interface library\", libpgtcl, type:"
-	@${ECHO_MSG} "    make -DWITH_TCL"
-.else
-	@${ECHO_MSG} "Building PostgreSQL with \"libpgtcl\"."
-.endif
-.if !defined(WITHOUT_MULTIBYTE)
-	@${ECHO_MSG} "To disable multibyte support, type:"
-	@${ECHO_MSG} "    make -DWITHOUT_MULTIBYTE"
-.if !defined(DEFAULT_ENCODING)
-	@${ECHO_MSG} "To set the default encoding for the multibyte support, type:"
-	@${ECHO_MSG} "    make DEFAULT_ENCODING=<encoding>"
-	@${ECHO_MSG} "where <encoding> is one of these:"
-	@${ECHO_MSG} "    SQL_ASCII   LATIN1      LATIN2      LATIN3      LATIN4      LATIN5"
-	@${ECHO_MSG} "    EUC_JP      EUC_CN      EUC_KR      EUC_TW      KOI8"
-	@${ECHO_MSG} "    UNICODE     MULE_INTERNAL           WIN         ALT"
-.else
-	@${ECHO_MSG} "The default encoding is '${DEFAULT_ENCODING}'."
-.endif
-.else
-	@${ECHO_MSG} "Building PostgreSQL without multibyte support."
-.endif
-.if !defined(WITH_JDBC)
-	@${ECHO_MSG} "To build Java (JDBC) support, type:"
-	@${ECHO_MSG} "    make -DWITH_JDBC"
-.else
-	@${ECHO_MSG} "Building PostgreSQL with \"postgresql.jar\"."
-.endif
-.if !defined(WITH_PERL)
-	@${ECHO_MSG} "To build Perl interface and pl/Perl interpreter:"
-	@${ECHO_MSG} "    make -DWITH_PERL"
-.else
-	@${ECHO_MSG} "Building PostgreSQL with \"pl/Perl\"."
-.endif
-.if !defined(WITH_ODBC)
-	@${ECHO_MSG} "To build the ODBC driver package:"
-	@${ECHO_MSG} "    make -DWITH_ODBC"
-.else
-	@${ECHO_MSG} "Building PostgreSQL with ODBC Drivers."
+SCRIPTS_ENV=	WRKDIRPREFIX="${WRKDIRPREFIX}" \
+		WRKDIR="${WRKDIR}" \
+		FILESDIR="${FILESDIR}" \
+		TOUCH="${TOUCH}" \
+		MKDIR="${MKDIR}" \
+		NO_OPENSSL="${NO_OPENSSL}" \
+		DISTNAME="${DISTNAME}"
+
+.if exists(${WRKDIRPREFIX}${.CURDIR}/Makefile.inc)
+.include "${WRKDIRPREFIX}${.CURDIR}/Makefile.inc"
 .endif
 
+pre-extract:
+	@ ${SETENV} ${SCRIPTS_ENV} ${SH} ${SCRIPTDIR}/configure.postgresql
+
 post-patch:
 	@ ${MV} ${WRKSRC}/template/freebsd ${WRKSRC}/template/freebsd.orig
 	@ ${SED} -e 's#CFLAGS:-O2 -m486 -pipe#CFLAGS:${CFLAGS}#' \
@@ -180,16 +99,8 @@
 
 post-build:
 .if defined(WITH_JDBC)
-	@ cd ${WRKSRC}/interfaces/jdbc && ${GMAKE}
-.if !defined(NOPORTDOCS)
-	@ cd ${WRKSRC}/interfaces/jdbc && ${GMAKE} examples
-.endif
+	@ ${GMAKE} -C ${WRKSRC}/interfaces/jdbc jdbc${JAVAVERSION}
 .endif
-	@ ${ECHO} "------------------------------------------------------------"
-	@ ${ECHO} "Dump existing databases, before installing new db version !!"
-	@ ${ECHO} "Detailed instructions, see"
-	@ ${ECHO} "${WRKDIR}/${DISTNAME}/INSTALL"
-	@ ${ECHO} "------------------------------------------------------------"
 
 pre-install:
 .if defined(PACKAGE_BUILDING)
@@ -197,53 +108,54 @@
 .endif
 	@ ${MKDIR} ${PREFIX}/pgsql
 	@ ${SETENV} ${MAKE_ENV} perl ${SCRIPTDIR}/createuser
+.if !defined(BATCH)
+	@ ${SED} -e "s#%%WRKDIR%%#${WRKDIR}#; s#%%DISTNAME%%#${DISTNAME}#" \
+	< ${FILESDIR}/pre-install-notes | more -e
+.endif
 
 post-install:
 .if defined(NOPORTDOCS)
-	@ ( cd ${DOCDIR}; ${GMAKE} man )
+	@ ${GMAKE} -C ${DOCDIR} man
 .else
-	@ ( cd ${DOCDIR}; ${GMAKE} install )
+	@ ${GMAKE} -C ${DOCDIR} install
+	${INSTALL_MAN} ${WRKDIR}/${DISTNAME}/doc/FAQ* ${PREFIX}/share/doc/pgsql
+	${INSTALL_MAN} ${WRKDIR}/${DISTNAME}/doc/README* ${PREFIX}/share/doc/pgsql
+	${INSTALL_MAN} ${WRKDIR}/${DISTNAME}/doc/TODO ${PREFIX}/share/doc/pgsql
+#	${INSTALL_MAN} ${WRKDIR}/${DISTNAME}/doc/*ps.gz ${PREFIX}/share/doc/pgsql
+	@ ${CAT} ${PKGDIR}/pkg-plist.doc >> ${TMPPLIST}
 .endif
 	@ if [ ! -f ${PREFIX}/pgsql/.profile ]; then \
-		${ECHO} "PATH=${PATH}:${PREFIX}/pgsql/bin" \
+		${SED} 's|%%PREFIX%%|${PREFIX}|g' \
+			< ${FILESDIR}/dot.profile.in \
 			> ${PREFIX}/pgsql/.profile; \
-		${ECHO} "MANPATH=${MANPATH}:${PREFIX}/pgsql/man" \
-			>> ${PREFIX}/pgsql/.profile; \
-		${ECHO} "PGLIB=${PREFIX}/pgsql/lib" \
-			>> ${PREFIX}/pgsql/.profile; \
-		${ECHO} "# note: PGDATA overwrites the -D startup option" \
-			>> ${PREFIX}/pgsql/.profile; \
-		${ECHO} "PGDATA=${PREFIX}/pgsql/data" \
-			>> ${PREFIX}/pgsql/.profile; \
-		${ECHO} "DISPLAY=:0" \
-			>> ${PREFIX}/pgsql/.profile; \
-		${ECHO} "export PATH MANPATH PGLIB PGDATA DISPLAY" \
-			>> ${PREFIX}/pgsql/.profile; \
-		${ECHO} "# if you want to make regression tests use this TZ" \
-			>> ${PREFIX}/pgsql/.profile; \
-		${ECHO} "#TZ=PST8PDT" \
-			>> ${PREFIX}/pgsql/.profile; \
-		${ECHO} "#export TZ" \
-			>> ${PREFIX}/pgsql/.profile; \
 	fi
 	@ ${CHOWN} -R pgsql:pgsql ${PREFIX}/pgsql
 	@ ${CHOWN} root:pgsql ${PREFIX}/pgsql/lib
 	@ ${ECHO} 'Initializing PostgreSQL Databases - this may take a few minutes...'
 	@ ${SETENV} OBJFORMAT=${PORTOBJFORMAT} ${LDCONFIG} -m ${PREFIX}/pgsql/lib
-	@ su -l pgsql -c 'PATH=${PREFIX}/pgsql/bin:${PATH} LD_LIBRARY_PATH=${PREFIX}/pgsql/lib ${PREFIX}/pgsql/bin/initdb --pglib=${PREFIX}/pgsql/lib --pgdata=${PREFIX}/pgsql/data'
+# '-' so we don't fail to create packagelist at this stage,
+# when we already have everything installed on top of previous version
+	-@ su -l pgsql -c 'PATH=${PREFIX}/pgsql/bin:${PATH} ${PREFIX}/pgsql/bin/initdb --pglib=${PREFIX}/pgsql/lib --pgdata=${PREFIX}/pgsql/data'
 	@ ${SED} -e "s=!!PREFIX!!=${PREFIX}=g" < ${FILESDIR}/pgsql.sh.tmpl \
 		> ${PREFIX}/etc/rc.d/pgsql.sh
 	@ ${CHMOD} 554 ${PREFIX}/etc/rc.d/pgsql.sh
 	@ ${CHOWN} root.pgsql ${PREFIX}/etc/rc.d/pgsql.sh
-	@ ${INSTALL_DATA} ${FILESDIR}/post-install-notes ${PREFIX}/pgsql
+	@ ${SED} -e 's#%%PREFIX%%#${PREFIX}#' < ${FILESDIR}/post-install-notes \
+		> ${PREFIX}/pgsql/post-install-notes
 .if defined(WITHOUT_MULTIBYTE)
 	@${CP} ${TMPPLIST} ${TMPPLIST}.nomulti
 	@${GREP} -v pgsql/bin/pg_encoding ${TMPPLIST}.nomulti > ${TMPPLIST}
 .endif
 .if defined(WITH_TCL)
 	@${CP} ${TMPPLIST} ${TMPPLIST}.notcl
-	@${CAT} ${PKGDIR}/pkg-plist.tcl ${TMPPLIST}.notcl > ${TMPPLIST}
+	@${CAT} ${PKGDIR}/${TCL_PLIST} ${TMPPLIST}.notcl > ${TMPPLIST}
 	@${RM} ${TMPPLIST}.notcl
+# Preparing a loadable TCL-package (pkgIndex.tcl)
+# XXX This directory and the single file are not registered in
+# XXX the PLIST, because of different PREFIX.
+	@${MKDIR} ${LOCALBASE}/lib/tcl${WITH_TCL}/Pgtcl1.3
+	@${SED} 's|%%PREFIX%%|${PREFIX}|' < ${FILESDIR}/pkgIndex.tcl.in \
+		> ${LOCALBASE}/lib/tcl${WITH_TCL}/Pgtcl1.3/pkgIndex.tcl
 .endif
 .if defined(WITH_ODBC)
 	@${CP} ${TMPPLIST} ${TMPPLIST}.noodbc
@@ -272,24 +184,18 @@
 	@ ${ECHO_MSG} "---------------------------------------------------------"
 	@ ${ECHO_MSG} "Putting jdbc examples into ${PREFIX}/share/examples/pgsql"
 	@ ${ECHO_MSG} "---------------------------------------------------------"
-	@ ${CAT} ${PKGDIR}/pkg-plist.doc >> ${TMPPLIST}
-.endif
 .endif
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${PREFIX}/share/doc/pgsql
-	@ ${GMAKE} -C ${WRKDIR}/${DISTNAME}/doc install
-	${INSTALL_MAN} ${WRKDIR}/${DISTNAME}/doc/FAQ* ${PREFIX}/share/doc/pgsql
-	${INSTALL_MAN} ${WRKDIR}/${DISTNAME}/doc/README* ${PREFIX}/share/doc/pgsql
-	${INSTALL_MAN} ${WRKDIR}/${DISTNAME}/doc/TODO ${PREFIX}/share/doc/pgsql
-#	${INSTALL_MAN} ${WRKDIR}/${DISTNAME}/doc/*ps.gz ${PREFIX}/share/doc/pgsql
 .endif
 .if !defined(BATCH)
-	@ more -e ${FILESDIR}/post-install-notes
+	@ more -e ${PREFIX}/pgsql/post-install-notes
 .endif
 .if !defined(DEBUG_FLAGS)
 .for file in ecpg pg_dump pg_id pg_passwd pg_version postgres psql
 	@ strip ${PREFIX}/pgsql/bin/${file}
 .endfor
 .endif
+
+post-clean:
+	@ ${RM} -f ${WRKDIRPREFIX}${.CURDIR}/Makefile.inc
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/databases/postgresql7/distinfo,v
retrieving revision 1.15
diff -u -r1.15 distinfo
--- distinfo	2000/06/20 05:08:06	1.15
+++ distinfo	2000/12/03 03:35:26
@@ -1,4 +1,3 @@
-MD5 (postgresql/postgresql-7.0.2.base.tar.gz) = 871d23b85d9a3599a7ed75dfc7da7ba7
-MD5 (postgresql/postgresql-7.0.2.support.tar.gz) = c21180a6485d85785c8e69f0cbff05dd
-MD5 (postgresql/postgresql-7.0.2.docs.tar.gz) = efac1f87463f252e54d72b256885b883
-MD5 (postgresql/postgresql-7.0.2.test.tar.gz) = 3443b3d83194c396f20aee2adc6f93bf
+MD5 (postgresql/postgresql-7.0.3.base.tar.gz) = 0eeda8217b5b11e5a9351fc424808426
+MD5 (postgresql/postgresql-7.0.3.support.tar.gz) = b930f71068d776ef45402fcbebfa58cf
+MD5 (postgresql/postgresql-7.0.3.docs.tar.gz) = 3d3fc76073f6d77febefc83f887fc87d
Index: pkg-plist.jdbc
===================================================================
RCS file: /home/ncvs/ports/databases/postgresql7/pkg-plist.jdbc,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist.jdbc
--- pkg-plist.jdbc	2000/05/24 14:11:19	1.2
+++ pkg-plist.jdbc	2000/12/08 02:37:40
@@ -10,4 +10,5 @@
 @dirrm share/examples/pgsql/jdbc
 @dirrm share/examples/pgsql
 share/java/classes/postgresql.jar
+@unexec rmdir %D/share/java/classes 2>/dev/null || true
 @unexec rmdir %D/share/java 2>/dev/null || true
Index: files/patch-ba
===================================================================
RCS file: /home/ncvs/ports/databases/postgresql7/files/patch-ba,v
retrieving revision 1.3
diff -u -r1.3 patch-ba
--- files/patch-ba	2000/04/17 20:56:06	1.3
+++ files/patch-ba	2000/12/08 03:47:23
@@ -1,5 +1,5 @@
---- interfaces/jdbc/Makefile.orig	Tue Mar 14 16:55:17 2000
-+++ interfaces/jdbc/Makefile	Sun Apr 16 21:16:43 2000
+--- interfaces/jdbc/Makefile.orig	Sun Nov  5 05:03:53 2000
++++ interfaces/jdbc/Makefile	Fri Dec  8 03:16:17 2000
 @@ -10,10 +10,10 @@
  
  FIND		= find
@@ -15,11 +15,3 @@
  RM		= rm -f
  TOUCH		= touch
  
-@@ -40,6 +40,7 @@
- 	@echo To compile, type:
- 	@echo "  $(MAKE) jdbc2"
- 	@echo ------------------------------------------------------------
-+	$(MAKE) jdbc1
- 
- msg:	
- 	@echo ------------------------------------------------------------
Index: files/pgsql.sh.tmpl
===================================================================
RCS file: /home/ncvs/ports/databases/postgresql7/files/pgsql.sh.tmpl,v
retrieving revision 1.8
diff -u -r1.8 pgsql.sh.tmpl
--- files/pgsql.sh.tmpl	2000/05/25 09:35:25	1.8
+++ files/pgsql.sh.tmpl	2000/12/03 23:12:19
@@ -17,13 +17,13 @@
 
 stop)
     [ -x !!PREFIX!!/pgsql/bin/pg_ctl ] && {
-	su -l pgsql -c 'exec !!PREFIX!!/pgsql/bin/pg_ctl -w -m fast stop'
+	exec su -l pgsql -c 'exec !!PREFIX!!/pgsql/bin/pg_ctl -w -m fast stop'
     }
     ;;
 
 status)
     [ -x !!PREFIX!!/pgsql/bin/pg_ctl ] && {
-	su -l pgsql -c 'exec !!PREFIX!!/pgsql/bin/pg_ctl status'
+	exec su -l pgsql -c 'exec !!PREFIX!!/pgsql/bin/pg_ctl status'
     }
     ;;
 
Index: files/post-install-notes
===================================================================
RCS file: /home/ncvs/ports/databases/postgresql7/files/post-install-notes,v
retrieving revision 1.9
diff -u -r1.9 post-install-notes
--- files/post-install-notes	2000/06/20 05:08:06	1.9
+++ files/post-install-notes	2000/12/04 01:56:31
@@ -8,9 +8,12 @@
 Send an e-mail to pgsql-questions-request@postgresql.org with the
 text "subscribe" in the message body.
 
-If you built PostgreSQL with TCL support, you can install the port
-"pgaccess" to get a TCL/TK based database frontend for database
-operations.
+If you built PostgreSQL with TCL/TK support, you can use the pgaccess
+utility to get a TCL/TK based database frontend for database
+operations. You do NOT need to install the pgaccess port separately.
 
+If you built in the TCL support, you can load the Pg package into your
+TCL scripts as easily as ``package require Pgtcl''.
+
 To start PostgreSQL, run the startup script:
-$PREFIX/etc/rc.d/pgsql.sh start
+%%PREFIX%%/etc/rc.d/pgsql.sh start
--- /dev/null	Fri Dec  8 05:17:53 2000
+++ pkg-plist.notk	Mon Dec  4 02:48:37 2000
@@ -0,0 +1,6 @@
+pgsql/bin/pgtclsh
+pgsql/include/libpgtcl.h
+pgsql/lib/libpgtcl.a
+pgsql/lib/libpgtcl.so
+pgsql/lib/libpgtcl.so.2
+pgsql/lib/pltcl.so
--- /dev/null	Fri Dec  8 05:17:53 2000
+++ files/dot.profile.in	Mon Dec  4 00:27:00 2000
@@ -0,0 +1,16 @@
+PATH=${PATH}:%%PREFIX%%/pgsql/bin
+PGLIB=%%PREFIX%%/pgsql/lib
+
+# note: PGDATA overwrites the -D startup option
+PGDATA=%%PREFIX%%/pgsql/data
+
+export PATH MANPATH PGLIB PGDATA
+
+#You might want to set some locale stuff here
+#PGDATESTYLE=ISO
+#LC_ALL=sv_SE.ISO_88591-1
+#export PGDATESTYLE LC_ALL
+
+# if you want to make regression tests use this TZ
+#TZ=PST8PDT
+#export TZ
--- /dev/null	Fri Dec  8 05:17:53 2000
+++ files/patch-au	Mon Dec  4 02:36:57 2000
@@ -0,0 +1,58 @@
+--- configure.in.orig	Sun Nov  5 05:03:47 2000
++++ configure.in	Mon Dec  4 02:36:15 2000
+@@ -299,13 +299,28 @@
+    [  --with-tcl              build Tcl interfaces and pgtclsh ],
+    [
+ 	case "$withval" in
+-	y | ye | yes)		USE_TCL=true; USE_TK=true; AC_MSG_RESULT(enabled) ;;
++	y | ye | yes)		USE_TCL=true; AC_MSG_RESULT(enabled) ;;
+ 	*)			USE_TCL=; USE_TK=; AC_MSG_RESULT(disabled) ;;
+ 	esac
+    ],
+    [ USE_TCL=; USE_TK=; AC_MSG_RESULT(disabled) ]
+ )
+ 
++dnl We include tk support with tcl unless user says --without-tk
++if test USE_TCL = true
++then
++AC_MSG_CHECKING(setting USE_TK)
++AC_ARG_WITH(
++   tk,
++   [  --without-tk              build Tcl *without* Tk ],
++   [
++	case "$withval" in
++	y | ye | yes)		USE_TK=true; USE_TK=true; AC_MSG_RESULT(enabled) ;;
++	*)			USE_TK=n; AC_MSG_RESULT(disabled) ;;
++	esac
++   ]
++)
++fi
+ export USE_TCL
+ export USE_TK
+ 
+@@ -482,7 +497,7 @@
+ #endif
+ ],
+ 	ELF_SYS=true,
+-[if test "X$elf" = "Xyes"
++[if test "X$PORTOBJFORMAT" = "Xyes"
+ then
+ 	ELF_SYS=true
+ else
+@@ -1248,10 +1263,15 @@
+ 	else
+ 		AC_MSG_RESULT($TCL_CONFIG_SH)
+ 		AC_SUBST(TCL_CONFIG_SH)
++		. ${TCL_CONFIG_SH}
++		AC_SUBST(TCL_LIB_SPEC)
+ 	fi
+ fi
+ 
+-USE_TK=$USE_TCL		# If TCL is disabled, disable TK
++USE_TK=${USE_TK:=$USE_TCL}	# If TCL is disabled, disable TK
++				# otherwise -- enable unless explicitly
++				# disabled
++
+ 
+ dnl Check for Tk configuration script tkConfig.sh
+ if test "$USE_TK" = true
--- /dev/null	Fri Dec  8 05:17:53 2000
+++ files/patch-av	Mon Dec  4 00:19:35 2000
@@ -0,0 +1,17 @@
+--- interfaces/libpq/fe-connect.c	Sun May 21 17:19:53 2000
++++ interfaces/libpq/fe-connect.c	Fri Sep 15 13:53:52 2000
+@@ -801 +801 @@
+-			sprintf(conn->errorMessage,
++			printfPQExpBuffer(&conn->errorMessage,
+@@ -809 +809 @@
+-			sprintf(conn->errorMessage, "PQconnectDB() -- couldn't read postmaster response: errno=%d\n%s\n",
++			printfPQExpBuffer(&conn->errorMessage, "PQconnectDB() -- couldn't read postmaster response: errno=%d\n%s\n",
+@@ -822 +822 @@
+-					sprintf(conn->errorMessage,
++					printfPQExpBuffer(&conn->errorMessage,
+@@ -832 +832 @@
+-				sprintf(conn->errorMessage,
++				printfPQExpBuffer(&conn->errorMessage,
+@@ -850 +850 @@
+-			strcpy(conn->errorMessage,
++			printfPQExpBuffer(&conn->errorMessage,
--- /dev/null	Fri Dec  8 05:17:53 2000
+++ files/patch-be	Mon Dec  4 02:06:11 2000
@@ -0,0 +1,9 @@
+This patches let you disable Tk even if you have it installed and
+makes sure the TCL-library is added as a dependency for libpgtcl.
+--- interfaces/libpgtcl/Makefile.in	Tue Mar  7 20:58:36 2000
++++ interfaces/libpgtcl/Makefile.in	Wed Sep 20 08:57:28 2000
+@@ -29,3 +29,3 @@
+ 
+-SHLIB_LINK+= $(LIBPQ)
++SHLIB_LINK+= $(LIBPQ) @TCL_LIB_SPEC@
+ 
--- /dev/null	Fri Dec  8 05:17:53 2000
+++ files/pkgIndex.tcl.in	Mon Dec  4 00:19:35 2000
@@ -0,0 +1,4 @@
+# Package-index file for Pgtcl-package. Enables you to load PostgreSQL
+# interface functions right into you TCL-interpreter as simply as
+#	package require Pgtcl
+package ifneeded Pgtcl 1.3 "load %%PREFIX%%/lib/libpgtcl.so"
--- /dev/null	Fri Dec  8 05:17:53 2000
+++ files/pre-install-notes	Fri Dec  8 05:05:47 2000
@@ -0,0 +1,9 @@
+# ----------------------------------------------------------------
+# UPGRADE NOTE! Depending on which version you are upgrading from,
+# you may have to dump/restore existing databases
+# as part of the update.
+# This is *NOT* done by this port!
+# For detailed instructions, see
+# %%WRKDIR%%/%%DISTNAME%%/INSTALL
+# after extraction.
+# --------------------------------------------------------------
--- /dev/null	Fri Dec  8 05:17:53 2000
+++ scripts/configure.postgresql	Fri Dec  8 05:18:07 2000
@@ -0,0 +1,267 @@
+#!/bin/sh
+# -*- tab-width: 4; -*-
+# ex:ts=4
+#
+# $FreeBSD$
+#
+if [ -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc ]; then
+	exit
+fi
+
+if [ ! "${BATCH}" ]; then
+	dialog --title "Backup your data NOW" \
+	--msgbox "`sed -e \"s#%%WRKDIR%%#${WRKDIR}#; s#%%DISTNAME%%#${DISTNAME}#\" < ${FILESDIR}/pre-install-notes`" \
+	-1 -1
+fi
+
+#SSL=${NO_OPENSSL:+OFF}
+#SSL=${NOSSL:-ON}
+
+if [ "${BATCH}" ]; then
+	set \"MultiByte\"
+else
+	/usr/bin/dialog --title "configuration options" --clear \
+					--checklist "\n\
+Please select desired options:" -1 -1 8 \
+JDBC       "Java DataBase Connectivity" OFF \
+MultiByte  "Multibyte for Multilingualism" ON \
+ODBC       "Open Database Connectivity" OFF \
+Perl       "Perl" OFF \
+TCL        "Tcl" ON \
+TCLTK      "Tcl/Tk" ON \
+SSL        "Secure Socket Layer (requires certificate)" ${SSL} \
+KRB5       "Kerberos 5" OFF \
+2> /tmp/checklist.tmp.$$
+
+	retval=$?
+
+	if [ -s /tmp/checklist.tmp.$$ ]; then
+		set `cat /tmp/checklist.tmp.$$`
+	fi
+	rm -f /tmp/checklist.tmp.$$
+
+	case $retval in
+		0)	if [ -z "$*" ]; then
+				echo "Nothing selected"
+			fi
+			;;
+		1)	echo "Cancel pressed."
+			exit 1
+			;;
+	esac
+fi
+
+${MKDIR} -p ${WRKDIRPREFIX}${CURDIR}
+exec > ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+
+while [ "$1" ]; do
+	case $1 in
+		\"JDBC\")
+			# use JAVA_HOME if set correctly
+			echo "# JDBC"
+			if [ "${JAVA_HOME}" -a -x ${JAVA_HOME}/bin/javac ]; then
+				echo JAVA_HOME=${JAVA_HOME}
+				if [ "$(${JAVA_HOME}/bin/java -version 2>&1 | egrep \"1.1)" ]; then
+				    JAVAVERSION=1
+					echo BUILD_DEPENDS+=    ${JAVA_HOME}/bin/javac:\${PORTSDIR}/java/jdk
+				else
+					JAVAVERSION=2
+					echo BUILD_DEPENDS+=    ${JAVA_HOME}/bin/javac:\${PORTSDIR}/java/jdk12-beta
+				fi
+			else
+				JAVAVERSION=1
+				echo BUILD_DEPENDS+=    \${LOCALBASE}/jdk1.1.8/bin/javac:\${PORTSDIR}/java/jdk
+				echo JAVA_HOME=\${LOCALBASE}/jdk1.1.8
+			fi
+			cat <<-EOF
+				JAVAVERSION=${JAVAVERSION}
+				WITH_JDBC=YES
+				SCRIPTS_ENV+=     JAVA_HOME=\${JAVA_HOME}
+
+			EOF
+			;;
+		\"MultiByte\")
+			MULTIBYTE=1
+			;;
+		\"ODBC\")
+			cat <<-EOF
+				# ODBC
+				WITH_ODBC=YES
+				CONFIGURE_ARGS+=  --with-odbc
+
+			EOF
+			;;
+		\"Perl\")
+			cat <<-EOF
+				# PERL
+				WITH_PERL=YES
+				CONFIGURE_ARGS+=  --with-perl
+
+			EOF
+			;;
+		\"TCL\")
+			TCL=1
+			;;
+		\"TCLTK\")
+			echo "#TCLTK"
+			echo WITH_TK=YES
+			echo
+			TCL=1
+			;;
+		\"SSL\")
+			cat <<-EOF
+				# SSL
+				USE_OPENSSL=    yes
+				CFLAGS+=	-DUSE_SSL
+				WITH_SSL=	yes
+				CONFIGURE_ENV+=	LDFLAGS="-L\${OPENSSLLIB} -lssl -lcrypto"
+
+			EOF
+			;;
+		\"KRB5\")
+			KRB5=1
+			;;
+		\"nothing\"|true)
+			;;
+		*)
+			echo "Invalid option(s): $*" > /dev/stderr
+			rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+			exit 1
+			;;
+	esac
+    shift
+done
+
+exec > /dev/stderr
+
+# if multibyte, determine charset
+echo "# Multibyte"
+
+if [ ! "${MULTIBYTE}" ]; then
+	echo "WITHOUT_MULTIBYTE=YES" >> ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+else
+	if [ "${BATCH}" ]; then
+		set \"nothing\"
+	else
+		/usr/bin/dialog --title "configuration options" --clear \
+						--radiolist "\n\
+Please select desired options:" -1 -1 16 \
+nothing       "Default Encoding" ON \
+SQL_ASCII     "SQL_ASCII" OFF \
+LATIN1        "LATIN1" OFF \
+LATIN2        "LATIN2" OFF \
+LATIN3        "LATIN3" OFF \
+LATIN4        "LATIN4" OFF \
+LATIN5        "LATIN5" OFF \
+EUC_JP        "EUC_JP" OFF \
+EUC_CN        "EUC_CN" OFF \
+EUC_KR        "EUC_KR" OFF \
+EUC_TW        "EUC_TW" OFF \
+KOI8          "KOI8" OFF \
+UNICODE       "UNICODE" OFF \
+MULE_INTERNAL "MULE_INTERNAL" OFF \
+WIN           "WIN" OFF \
+ALT           "ALT" OFF \
+2> /tmp/checklist.tmp.$$
+
+		retval=$?
+
+		if [ -s /tmp/checklist.tmp.$$ ]; then
+			set `cat /tmp/checklist.tmp.$$`
+		fi
+		rm -f /tmp/checklist.tmp.$$
+		if [ $retval = 1 ]; then
+			echo "Cancel pressed."
+			rm ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+			exit 1
+		fi
+	fi
+
+    if [ "$1" = "nothing" ]; then
+		echo "CONFIGURE_ARGS+=	--enable-multibyte" \
+			>> ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+	else
+		echo "CONFIGURE_ARGS+=	--enable-multibyte=$1" \
+			>> ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+	fi
+fi
+echo
+
+if [ "${TCL}" ]; then
+	echo "# TCL" >> ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+	if [ "${BATCH}" ]; then
+		echo WITH_TCL=8.3  >> ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+	else
+		dialog --title "TCL version" \
+			   --inputbox "Please enter TCL version. Default is 8.3." -1 -1 "8.3" \
+			2> /tmp/checklist.tmp.$$
+		retval=$?
+		if [ -s /tmp/checklist.tmp.$$ ]; then
+			set `cat /tmp/checklist.tmp.$$`
+		fi
+		rm -f /tmp/checklist.tmp.$$
+		case $retval in
+			0)	if [ -z "$*" ]; then
+					echo "Nothing selected"
+				fi
+				;;
+			1)	echo "Cancel pressed."
+				rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+				exit 1
+				;;
+		esac
+		echo WITH_TCL=\"$1\" >> ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+	fi
+	cat <<-EOF >> ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+		CONFIGURE_ARGS+= --with-tcl --with-tclconfig="\${TCLCONFIG}"
+		TCLV=\${WITH_TCL:S/.//}
+		TCL_INCDIR=    \${LOCALBASE}/include/tcl\${WITH_TCL}
+		MAKE_ENV=      TCL_INCDIR=\${TCL_INCDIR}
+		LIB_DEPENDS=   tcl\${TCLV}.1:\${PORTSDIR}/lang/tcl\${TCLV}
+		TCLCONFIG=     '\${LOCALBASE}/lib/tcl\${WITH_TCL}'
+		.if defined(WITH_TK)
+		TK_INCDIR=     \${LOCALBASE}/include/tk\${WITH_TCL}
+		CONFIGURE_ENV+=        WISH=\${LOCALBASE}/bin/wish\${WITH_TCL}
+		LIB_DEPENDS+=  tk\${TCLV}.1:\${PORTSDIR}/x11-toolkits/tk\${TCLV}
+		TCLCONFIG+=    '\${LOCALBASE}/lib/tk\${WITH_TCL}'
+		TCL_PLIST=     pkg-plist.tcl
+		.else
+		TCL_PLIST=     pkg-plist.notk
+		CONFIGURE_ARGS+=        --without-tk
+		.endif
+
+	EOF
+fi
+
+if [ "${KRB5}" ]; then
+	if [ "${BATCH}" ]; then
+		# never gets here, but what the heck...
+		echo KRB5_HOME=\${LOCALBASE} >> ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+	else
+		dialog --inputbox "Please enter the KRB5_HOME path" -1 -1 "${KRB_HOME:-${LOCALBASE}}" \
+			2> /tmp/checklist.tmp.$$
+		retval=$?
+		if [ -s /tmp/checklist.tmp.$$ ]; then
+			set `cat /tmp/checklist.tmp.$$`
+		fi
+		rm -f /tmp/checklist.tmp.$$
+		case $retval in
+			0)	if [ -z "$*" ]; then
+					echo "No input"
+				fi
+				;;
+			1)	echo "Cancel pressed."
+				rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+				exit 1
+				;;
+		esac
+		echo KRB5_HOME=\"$1\" >> ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+	fi
+	cat <<-EOF >> ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+		.if defined(KRB5_HOME) && exists(\${KRB5_HOME})
+		CONFIGURE_KRB=	--with-krb5=\${KRB5_HOME} \
+						--with-krb-keytab=FILE:\${PREFIX}/pgsql/etc/keytab
+		.endif
+
+	EOF
+fi

>Release-Note:
>Audit-Trail:
>Unformatted:


To Unsubscribe: send mail to majordomo@FreeBSD.org
with "unsubscribe freebsd-ports" in the body of the message




Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?200012080443.eB84heF51844>